Bug 714722 - [abrt] starcal-1.5.3-1.fc15: starcal.py:2031:updateTrayClock:AttributeError: 'StarCal' object has no attribute 'clockTr'
Summary: [abrt] starcal-1.5.3-1.fc15: starcal.py:2031:updateTrayClock:AttributeError: ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: starcal
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hedayat Vatankhah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a6360be686a29edcae02d2d150b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-20 14:21 UTC by Noori
Modified: 2011-08-22 15:03 UTC (History)
2 users (show)

Fixed In Version: starcal-1.9.3-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-03 22:55:43 UTC
Type: ---


Attachments (Terms of Use)

Description Noori 2011-06-20 14:21:24 UTC
abrt version: 2.0.1
architecture:   x86_64
cmdline:        python /usr/share/starcal/src/starcal.py
component:      starcal
executable:     /usr/share/starcal/src/starcal.py
kernel:         2.6.38.8-32.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        starcal-1.5.3-1.fc15
reason:         starcal.py:2031:updateTrayClock:AttributeError: 'StarCal' object has no attribute 'clockTr'
time:           Mon Jun 20 18:35:31 2011
uid:            500
username:       noori

backtrace:
:starcal.py:2031:updateTrayClock:AttributeError: 'StarCal' object has no attribute 'clockTr'
:
:Traceback (most recent call last):
:  File "/usr/share/starcal/src/starcal.py", line 1798, in prefApply
:    self.prefSave()
:  File "/usr/share/starcal/src/starcal.py", line 1933, in prefSave
:    self.updateTrayClock()
:  File "/usr/share/starcal/src/starcal.py", line 2031, in updateTrayClock
:    if self.clockTr==None:
:AttributeError: 'StarCal' object has no attribute 'clockTr'
:
:Local variables in innermost frame:
:self: <StarCal object at 0x19e7500 (GObject at 0x15f0b40)>

event_log:
:2011-06-20-18:48:39> Logging into Bugzilla at https://bugzilla.redhat.com
:2011-06-20-18:48:50  Can't login. Server said: RPC failed at server.  The username or password you entered is not valid.
:2011-06-20-18:48:50* (exited with 1)

Comment 1 Adrin Jalali 2011-07-08 16:21:07 UTC
Package: starcal-1.5.3-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
click apply

Comment 2 Hedayat Vatankhah 2011-07-23 21:12:21 UTC
An update is underway which will fix the problem AFAIK. Thanks for the report and sorry for the delay.

Comment 3 Fedora Update System 2011-07-23 21:33:41 UTC
starcal-1.9.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/starcal-1.9.3-1.fc15

Comment 4 Fedora Update System 2011-07-23 21:33:48 UTC
starcal-1.9.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/starcal-1.9.3-1.fc14

Comment 5 Fedora Update System 2011-07-26 03:27:11 UTC
Package starcal-1.9.3-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing starcal-1.9.3-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/starcal-1.9.3-1.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-07-28 02:00:12 UTC
starcal-1.9.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/starcal-1.9.3-2.fc15

Comment 7 Fedora Update System 2011-07-28 02:00:21 UTC
starcal-1.9.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/starcal-1.9.3-2.fc14

Comment 8 Fedora Update System 2011-07-28 02:00:30 UTC
starcal-1.9.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/starcal-1.9.3-2.fc16

Comment 9 Fedora Update System 2011-08-03 22:55:38 UTC
starcal-1.9.3-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-08-09 01:28:06 UTC
starcal-1.9.3-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-08-22 15:03:44 UTC
starcal-1.9.3-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.